<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <groupId>pl.codeleak</groupId>
    <artifactId>jbehave-selenium-contactsapp</artifactId>
    <version>1.0-SNAPSHOT</version>
    <name>JBehave + Selenium</name>
    <description>JBehave stories verifying ContactsApp functionality (https://qalabs.gitlab.io/vuejs-contacts-demo)</description>

    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <jbehave.core.version>4.6.3</jbehave.core.version>
        <jbehave.web.version>4.0-beta-1</jbehave.web.version>
        <jbehave.site.version>3.3.1</jbehave.site.version>
        <selenium.version>3.141.59</selenium.version>
        <webdrivermanager.version>4.0.0</webdrivermanager.version>
        <junit.version>4.13</junit.version>
        <guava.version>29.0-jre</guava.version>
        <logback.version>1.2.3</logback.version>
        <embeddables>**/*Stories.java</embeddables>
    </properties>

    <dependencies>
        <dependency>
            <groupId>org.jbehave</groupId>
            <artifactId>jbehave-core</artifactId>
            <version>${jbehave.core.version}</version>
        </dependency>
        <dependency>
            <groupId>org.jbehave</groupId>
            <artifactId>jbehave-core</artifactId>
            <version>${jbehave.core.version}</version>
            <classifier>resources</classifier>
            <type>zip</type>
        </dependency>
        <dependency>
            <groupId>org.jbehave.site</groupId>
            <artifactId>jbehave-site-resources</artifactId>
            <version>${jbehave.site.version}</version>
            <type>zip</type>
        </dependency>
        <dependency>
            <groupId>org.jbehave.web</groupId>
            <artifactId>jbehave-web-selenium</artifactId>
            <version>4.0-beta-1</version>
            <exclusions>
                <exclusion>
                    <groupId>org.seleniumhq.selenium</groupId>
                    <artifactId>selenium-java</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <version>${junit.version}</version>
        </dependency>
        <dependency>
            <groupId>org.seleniumhq.selenium</groupId>
            <artifactId>selenium-java</artifactId>
            <version>${selenium.version}</version>
        </dependency>
        <dependency>
            <groupId>io.github.bonigarcia</groupId>
            <artifactId>webdrivermanager</artifactId>
            <version>${webdrivermanager.version}</version>
        </dependency>
        <dependency>
            <groupId>com.google.guava</groupId>
            <artifactId>guava</artifactId>
            <version>${guava.version}</version>
        </dependency>
        <dependency>
            <groupId>ch.qos.logback</groupId>
            <artifactId>logback-classic</artifactId>
            <version>${logback.version}</version>
        </dependency>
        <dependency>
            <groupId>com.github.javafaker</groupId>
            <artifactId>javafaker</artifactId>
            <version>1.0.2</version>
        </dependency>
    </dependencies>

    <build>
        <resources>
            <resource>
                <directory>${basedir}/src/main/resources</directory>
            </resource>
            <resource>
                <directory>${basedir}/src/main/stories</directory>
            </resource>
        </resources>
        <pluginManagement>
            <plugins>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-compiler-plugin</artifactId>
                    <version>3.7.0</version>
                    <configuration>
                        <source>11</source>
                        <target>11</target>
                    </configuration>
                </plugin>
            </plugins>
        </pluginManagement>
        <plugins>
            <plugin>
                <groupId>org.jbehave</groupId>
                <artifactId>jbehave-maven-plugin</artifactId>
                <executions>
                    <execution>
                        <id>unpack-view-resources</id>
                        <phase>process-resources</phase>
                        <goals>
                            <goal>unpack-view-resources</goal>
                        </goals>
                    </execution>
                    <execution>
                        <id>run-stories</id>
                        <phase>test</phase>
                        <configuration>
                            <includes>
                                <include>${embeddables}</include>
                            </includes>
                            <excludes/>
                            <generateViewAfterStories>true</generateViewAfterStories>
                            <ignoreFailureInStories>false</ignoreFailureInStories>
                            <ignoreFailureInView>true</ignoreFailureInView>
                            <threads>1</threads>
                            <metaFilters>
                                <metaFilter>-skip</metaFilter>
                            </metaFilters>
                        </configuration>
                        <goals>
                            <goal>run-stories-as-embeddables</goal>
                        </goals>
                    </execution>
                </executions>
                <dependencies>
                    <dependency>
                        <groupId>com.google.guava</groupId>
                        <artifactId>guava</artifactId>
                        <version>${guava.version}</version>
                    </dependency>
                </dependencies>
            </plugin>
        </plugins>
    </build>

</project>
